aboutsummaryrefslogtreecommitdiffhomepage
path: root/test
diff options
context:
space:
mode:
authorGravatar Austin Clements <amdragon@MIT.EDU>2012-12-15 15:04:18 -0500
committerGravatar David Bremner <bremner@debian.org>2012-12-16 17:04:24 -0400
commitb3dc31f78d7b489e30842aa19733261769afb84d (patch)
tree61c88a76bf502df58c4fb44f1d2c389846b48529 /test
parente1d5e881568afd6bcdc145a7f035e207f8ff3884 (diff)
test: Test show's handling of subprocess errors
Diffstat (limited to 'test')
-rwxr-xr-xtest/emacs-show22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/emacs-show b/test/emacs-show
index b670abf6..40fab616 100755
--- a/test/emacs-show
+++ b/test/emacs-show
@@ -163,4 +163,26 @@ EOF
test_expect_equal_file OUTPUT EXPECTED
+test_begin_subtest "Show handles subprocess errors"
+cat > notmuch_fail <<EOF
+#!/bin/sh
+echo This is output
+echo This is an error >&2
+exit 1
+EOF
+chmod a+x notmuch_fail
+test_emacs "(let ((notmuch-command \"$PWD/notmuch_fail\"))
+ (ignore-errors (notmuch-show \"*\"))
+ (notmuch-test-wait)
+ (test-output)
+ (with-current-buffer \"*Notmuch errors*\"
+ (test-output \"ERROR\")))"
+test_expect_equal "$(cat OUTPUT ERROR)" "\
+Error invoking notmuch. $PWD/notmuch_fail show --format=json --exclude=false ' * ' exited with status 1.
+Error:
+This is an error
+Output:
+This is output"
+
+
test_done